searchNodes=[{"ref":"KeyX.html","title":"KeyX","type":"module","doc":"Documentation for KeyX."},{"ref":"KeyX.html#generate_shares/5","title":"KeyX.generate_shares/5","type":"function","doc":"Generate secret shares using Shamir&#39;s Secret Sharing alrgorithm. Parameters k: specifies the number of shares necessary to recover the secret. n: is the identifier of the share and varies between 1 and n where n is the total number of generated shares. secret: Binary (String) of raw secret to split N ways, requiring K shares to recover. base: Encoding for binary. Can be :raw, :base16, :base32, :base64. Default: :binary base_opts: Options to pass to Base.baseXX encoding functions. Examples iex&gt; KeyX.generate_shares(2,2, &quot;super duper secret&quot;) {:ok, :binary, [&lt;&lt;186, 234, 192, 2, 71, 115, 247, 148, 55, 75, 121, 181, 11, 109, 136, 102, 91, 211, 158&gt;&gt;, &lt;&lt;174, 39, 169, 16, 201, 53, 245, 20, 59, 53, 134, 93, 172, 231, 45, 44, 42, 133, 137&gt;&gt;]}"},{"ref":"KeyX.html#generate_shares!/3","title":"KeyX.generate_shares!/3","type":"function","doc":"Same as generate_shares but no extra error handlineg. Parameters k: specifies the number of shares necessary to recover the secret. n: is the identifier of the share and varies between 1 and n where n is the total number of generated shares. secret: Binary (String) of raw secret to split N ways, requiring K shares to recover."},{"ref":"KeyX.html#recover_secret/3","title":"KeyX.recover_secret/3","type":"function","doc":"Recover secrets from an appropriate number of shares. Must be equal or greater than the K parameters. Parameters Shares: List of shares (Base64 encoding) containing information about the share, and if signed, the signature. base: Encoding for binary. Can be :raw, :base16, :base32, :base64. Default: :binary base_opts: Options to pass to Base.baseXX decoding functions. Examples iex&gt; KeyX.recover_secret([&quot;1-2-c3VwZXIgZHVwZXIgc2VjcmV0&quot;, &quot;1-2-c3VwZXIgZHVwZXIgc2VjcmV0&quot;]) {:ok, &quot;super duper secret&quot;}"},{"ref":"KeyX.html#recover_secret!/1","title":"KeyX.recover_secret!/1","type":"function","doc":"Same as recover_secret but no extra error handling. Parameters Shares: List of shares (Base64 encoding) containing information about the share, and if signed, the signature."},{"ref":"KeyX.Shamir.html","title":"KeyX.Shamir","type":"module","doc":""},{"ref":"KeyX.Shamir.html#rand_shuffle/1","title":"KeyX.Shamir.rand_shuffle/1","type":"function","doc":""},{"ref":"KeyX.Shamir.html#recover_secret/1","title":"KeyX.Shamir.recover_secret/1","type":"function","doc":""},{"ref":"KeyX.Shamir.html#set_random_seed/0","title":"KeyX.Shamir.set_random_seed/0","type":"function","doc":""},{"ref":"KeyX.Shamir.html#split_secret/3","title":"KeyX.Shamir.split_secret/3","type":"function","doc":""},{"ref":"KeyX.Shamir.Arithmetic.html","title":"KeyX.Shamir.Arithmetic","type":"module","doc":""},{"ref":"KeyX.Shamir.Arithmetic.html#*/2","title":"KeyX.Shamir.Arithmetic.*/2","type":"function","doc":""},{"ref":"KeyX.Shamir.Arithmetic.html#+/2","title":"KeyX.Shamir.Arithmetic.+/2","type":"function","doc":""},{"ref":"KeyX.Shamir.Arithmetic.html#//2","title":"KeyX.Shamir.Arithmetic.//2","type":"function","doc":""},{"ref":"KeyX.Shamir.Arithmetic.html#evaluate/2","title":"KeyX.Shamir.Arithmetic.evaluate/2","type":"function","doc":""},{"ref":"KeyX.Shamir.Arithmetic.html#interpolate/3","title":"KeyX.Shamir.Arithmetic.interpolate/3","type":"function","doc":""},{"ref":"KeyX.Shamir.Arithmetic.html#polynomial/2","title":"KeyX.Shamir.Arithmetic.polynomial/2","type":"function","doc":""},{"ref":"KeyX.Shamir.Arithmetic.html#t:polynomial/0","title":"KeyX.Shamir.Arithmetic.polynomial/0","type":"type","doc":""},{"ref":"KeyX.Shamir.Tables.html","title":"KeyX.Shamir.Tables","type":"module","doc":""},{"ref":"KeyX.Shamir.Tables.html#exp/1","title":"KeyX.Shamir.Tables.exp/1","type":"function","doc":""},{"ref":"KeyX.Shamir.Tables.html#log/1","title":"KeyX.Shamir.Tables.log/1","type":"function","doc":""}]